<? function  mailtemplater($n,$t){
//$n массив новостей или текст письма
//$t массив  заголовок, подзаголовок, текст футера, текст приветствия
$strpath="sg_cm/include/templ.html";
$adrself=getcwd();
for($i=0; $i<4; $i++)
 {
    if(file_exists("public_html"))break;
    if (!file_exists($strpath)) chdir("..");
    else break;
 }
if (is_file('sg_cm/include/user_templ.html')) $f=file_get_contents('sg_cm/include/user_templ.html');
else $f=file_get_contents('sg_cm/include/templ.html');
chdir($adrself);

preg_match('#\.content\s+a\s*\{([^\}]*?)\}#', $f, $syle_a_cont); 
preg_match('#\.footer\s+a\s*\{([^\}]*?)\}#', $f, $syle_a_foot);
preg_match('#\.header\s+a\s*\{([^\}]*?)\}#', $f, $syle_a_head); 
if (count($n)>0){
preg_match('!\{repeater\}([^\{]*?)\{repeater\}!', $f, $rep);
$repeat='';
for($i=0;$i<count($n);$i++){
$repeat.=$rep[1];
}
$f=str_replace($rep[0],$repeat,$f);
} 
if (isset($syle_a_head[1]))
$t[0]=preg_replace('#<a #','<a style="'.$syle_a_head[1].'" ' , $t[0]);
$f=str_replace('[TITLE]', $t[0] , $f);
$f=str_replace('[SubTITLE]', $t[1] , $f);
$f=str_replace('[DATETIME]', $t[3] , $f);  // оставил для совместимости со старой версией шаблона
$f=str_replace('[SubTITLE2]', $t[3] , $f); // новый псевдотег текст приветствия
for($i=0;$i<count($n);$i++){
if (isset($syle_a_cont[1]))
$n[$i]=preg_replace('#<a #','<a style="'.$syle_a_cont[1].'" ' , $n[$i]);
$f=preg_replace('#\[Content\]#', $n[$i] , $f,1); 
} 
if (isset($syle_a_foot[1]))
$t[2]=preg_replace('#<a #','<a style="'.$syle_a_foot[1].'" ' , $t[2]);
$f=str_replace('[Footer]', $t[2] , $f);
$f=preg_replace('#\[\w*?\]#s', '' , $f);
return $f;
}

function  mailtemplater_txt($n,$t){
$body=implode("\r\n", $n);
$body=str_replace('</div>', "\r\n</div>", $body);
$body=str_replace('<br />', "\r\n", $body);
$f=$t[0]."\r\n".$t[1]."\r\n".$body."\r\n".$t[2]."\r\n";
$f=strip_tags($f,'<a>');
$f=preg_replace("!<a href=(\'|\")(http[^\'\"]*?)(\'|\")>(.*?)</a>!", "\$4 :\r\n\$2", $f);
$f=preg_replace("!<a href=([^>]*?)>(.*?)</a>!", "\$2", $f);
$f=strip_tags($f);
return $f;
}